Package com.databricks.jdbc.model.client.thrift.generated

## Enum TOperationIdempotencyType

- java.lang.Object
- - java.lang.Enum<TOperationIdempotencyType>
  - - com.databricks.jdbc.model.client.thrift.generated.TOperationIdempotencyType

All Implemented Interfaces:
  `Serializable`, `Comparable<TOperationIdempotencyType>`, `org.apache.thrift.TEnum`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public enum TOperationIdempotencyType
    extends Enum<TOperationIdempotencyType>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
`IDEMPOTENT`
`NON_IDEMPOTENT`
`UNKNOWN`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TOperationIdempotencyType` `findByValue​(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static TOperationIdempotencyType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TOperationIdempotencyType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final TOperationIdempotencyType UNKNOWN

#### NON_IDEMPOTENT

    public static final TOperationIdempotencyType NON_IDEMPOTENT

#### IDEMPOTENT

    public static final TOperationIdempotencyType IDEMPOTENT

### Method Detail

#### values

    public static TOperationIdempotencyType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TOperationIdempotencyType c : TOperationIdempotencyType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TOperationIdempotencyType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static TOperationIdempotencyType findByValue​(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.